%define oname pitfdll
%define majorminor 0.8
%define release %mkrel 1
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%define distsuffix plf
Name: 		gstreamer-%oname
Version: 	0.8.2
Release:	%release
Summary:	GStreamer DLL loader plugin
Group: 		Video
License: 	GPL
URL:		http://ronald.bitfreak.net/pitfdll/
Source:		http://prdownloads.sourceforge.net/pitfdll/pitfdll-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires(post): gstreamer08-tools
Requires(postun): gstreamer08-tools
Requires:	gstreamer-tools >= 0.7.5
BuildRequires: 	gstreamer-devel >= 0.7.5

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This plugin contains a DLL loader to provide media playback for proprietary
formats.

This package is in PLF as you need the proprietary DLLs.
%prep
%setup -q -n pitfdll-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%postun
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README
%{_libdir}/gstreamer-%{majorminor}/libpitfdll.so

%changelog
* Thu Jun 22 2006 Götz Waschk <goetz@zarb.org> 0.8.2-1plf2007.0
- drop patch
- spec fixes
- New release 0.8.2

* Wed Jul 20 2005 Götz Waschk <goetz@zarb.org> 0.8.1-1plf
- initial mdk package

* Wed Apr 20 2005 Ronald S. Bultje <rbultje@ronald.bitfreak.net>
- Do this
